import { SxProps } from '@mui/system';
import { ComponentType, ReactNode } from 'react';
import { ForwardRefExoticComponent, RefAttributes } from 'react';
export type BaseCardProps = {
    children?: ReactNode;
};
export type CardHeaderProps = {
    title: string;
    description?: string;
    actions?: ReactNode;
    sx?: SxProps;
};
export type CardBodyProps = {
    children: ReactNode;
    sx?: SxProps;
};
type BaseCardComponent = ForwardRefExoticComponent<BaseCardProps & RefAttributes<HTMLDivElement>> & {
    Header: ComponentType<CardHeaderProps>;
    Body: ComponentType<CardBodyProps>;
};
export declare const BaseCard: BaseCardComponent;
export default BaseCard;
